## ktp-common-internals 0.8.0

=== CMakeLists.txt ===
project(ktp-common-internals)

cmake_minimum_required (VERSION 2.6.3 FATAL_ERROR)

set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${CMAKE_MODULE_PATH}
)
cmake_policy(SET CMP0002 OLD)

set (KTP_VERSION "0.8.0")
# Bump for every 0.x release, or whenever BC changes
set (KTP_SONUMBER 7)
set (KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "4")

find_package (KDE4 REQUIRED)
find_package (TelepathyQt4 0.9.2.1 REQUIRED)
find_package (TelepathyLoggerQt4)
find_package (KPeople 0.2.1)
find_package (KdepimLibs)

# set some default settings
include (KDE4Defaults)

# make some more macros available
include (MacroLibrary)

macro_log_feature(KPEOPLE_FOUND "KPeople" "Support for KDE Contact Aggregation" "https://projects.kde.org/libkpeople" FALSE "" "")
macro_log_feature(KDEPIMLIBS_FOUND "KDE-PIM Libraries" "Support for Contact Aggregation" "https://projects.kde.org/kdepimlibs" FALSE "" "")
macro_log_feature(TELEPATHY_LOGGER_QT4_FOUND "TelepatyLoggerQt4" "Qt bindings for TelepathyLogger. This is needed to provide access to chat logs. HIGHLY recommended" "http://projects.kde.org/telepathy-logger-qt" FALSE "" "")
macro_display_feature_log()


add_definitions (${KDE4_DEFINITIONS}
                 -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
)

include_directories (${KDE4_INCLUDES}
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     ${TELEPATHY_QT4_INCLUDE_DIR}
)

if (TELEPATHY_LOGGER_QT4_FOUND)
    add_definitions(${TELEPATHY_LOGGER_QT4_DEFINITIONS}
                    -DHAVE_TPLOGGERQT)
    include_directories(${TELEPATHY_LOGGER_QT4_INCLUDE_DIRS})
endif (TELEPATHY_LOGGER_QT4_FOUND)

if (KPEOPLE_FOUND AND KDEPIMLIBS_FOUND)
    include_directories (${KDEPIMLIBS_INCLUDE_DIRS})
    add_definitions(-DHAVE_KPEOPLE)
    add_subdirectory(kpeople)
endif (KPEOPLE_FOUND AND KDEPIMLIBS_FOUND)


configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h @ONLY)

set(KTP_GLOBAL_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/global.cpp)

add_subdirectory(KTp)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(tests)

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== KTp/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR})

set (ktp_common_internals_private_SRCS
     ${KTP_GLOBAL_SOURCES}
     abstract-message-filter.cpp
     account-factory.cpp
     actions.cpp
     capabilities-hack-private.cpp
     contact-info-dialog.cpp
     circular-countdown.cpp
     contact.cpp
     contact-factory.cpp
     core.cpp
     debug.cpp
     error-dictionary.cpp
     global-contact-manager.cpp
     global-presence.cpp
     logs-importer.cpp
     logs-importer-private.cpp
     message.cpp
     message-context.cpp
     message-escape-filter.cpp
     message-filter-config-manager.cpp
     message-processor.cpp
     outgoing-message.cpp
     persistent-contact.cpp
     presence.cpp
     service-availability-checker.cpp
     telepathy-handler-application.cpp
     text-parser.cpp
     pending-wallet.cpp
     wallet-interface.cpp
     wallet-utils.cpp
)

set (ktp_common_internals_private_HDRS
     abstract-message-filter.h
     actions.h
     circular-countdown.h
     contact.h
     contact-info-dialog.h
     contact-factory.h
     core.h
     debug.h
     error-dictionary.h
     global-contact-manager.h
     global-presence.h
     logs-importer.h
     message-filter-config-manager.h
     message.h
     message-context.h
     message-processor.h
     outgoing-message.h
     persistent-contact.h
     presence.h
     service-availability-checker.h
     telepathy-handler-application.h
     text-parser.h
     pending-wallet.h
     wallet-interface.h
     wallet-utils.h
     types.h
     ktp-export.h
)

set (ktp_private_LIBS
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KIO_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ${KDEPIMLIBS_KABC_LIBS}
)

if (TELEPATHY_LOGGER_QT4_FOUND)
    set (ktp_private_LIBS
         ${ktp_private_LIBS}
         ${TELEPATHY_LOGGER_QT4_LIBRARIES}
         )
endif (TELEPATHY_LOGGER_QT4_FOUND)

if (KPEOPLE_FOUND)
    include_directories(${KPEOPLE_INCLUDES})

    set (ktp_private_LIBS
         ${ktp_private_LIBS}
         ${KPEOPLE_LIBS}
         )
endif(KPEOPLE_FOUND)

kde4_add_library (ktpcommoninternalsprivate SHARED
                 ${ktp_common_internals_private_SRCS}
)

#Raise SOVERSION for every 0.x cycle
set_target_properties(ktpcommoninternalsprivate PROPERTIES
                                                         VERSION ${KTP_VERSION}
                                                         SOVERSION ${KTP_SONUMBER}
                                                         DEFINE_SYMBOL MAKE_KTP_LIB)

target_link_libraries (ktpcommoninternalsprivate
                      ${ktp_private_LIBS}
)

install (TARGETS ktpcommoninternalsprivate
         DESTINATION ${LIB_INSTALL_DIR}
)

install (FILES ${ktp_common_internals_private_HDRS}
         DESTINATION ${INCLUDE_INSTALL_DIR}/KTp
)

add_subdirectory(Declarative)
add_subdirectory(Models)
add_subdirectory(Widgets)
add_subdirectory(Logger)

# API docs
find_package(Doxygen)

if(DOXYGEN_EXECUTABLE)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  add_custom_target(
    apidox
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile)
endif(DOXYGEN_EXECUTABLE)

=== KTp/Declarative/CMakeLists.txt ===

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktp_qml_plugin_SRCS
    ${KTP_GLOBAL_SOURCES}
    conversation.cpp
    conversations-model.cpp
    hide-window-component.cpp
    messages-model.cpp
    pinned-contacts-model.cpp
    filtered-pinned-contacts-proxy-model.cpp
    contact-pin.cpp
    telepathy-manager.cpp
    qml-plugins.cpp
)

kde4_add_library (ktpqmlplugin SHARED ${ktp_qml_plugin_SRCS})

target_link_libraries (ktpqmlplugin
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ktpcommoninternalsprivate
    ktploggerprivate
    ktpmodelsprivate
)

install (TARGETS ktpqmlplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/telepathy)
install (FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/telepathy)

=== KTp/Widgets/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktp_widgets_private_SRCS
    ${KTP_GLOBAL_SOURCES}
    contact-view-widget.cpp
    contact-grid-widget.cpp
    contact-grid-dialog.cpp
    add-contact-dialog.cpp
    join-chat-room-dialog.cpp
    notification-config-dialog.cpp
    accounts-combo-box.cpp
    start-chat-dialog.cpp
)

set (ktp_widgets_private_HDRS
     contact-view-widget.h
     contact-grid-widget.h
     contact-grid-dialog.h
     add-contact-dialog.h
     join-chat-room-dialog.h
     notification-config-dialog.h
     accounts-combo-box.h
     start-chat-dialog.h
)

kde4_add_ui_files (ktp_widgets_private_SRCS
                   add-contact-dialog.ui
                   join-chat-room-dialog.ui
                   start-chat-dialog.ui
)

kde4_add_library (ktpwidgetsprivate SHARED
                 ${ktp_widgets_private_SRCS}
)

#Raise SOVERSION for every 0.x cycle
set_target_properties(ktpwidgetsprivate PROPERTIES
                                                VERSION ${KTP_VERSION}
                                                SOVERSION ${KTP_SONUMBER}
                                                DEFINE_SYMBOL MAKE_KTP_LIB)

target_link_libraries (ktpwidgetsprivate
                       ${KDE4_KDECORE_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_KNOTIFYCONFIG_LIBRARY}
                       ktpcommoninternalsprivate
                       ktpmodelsprivate
)

install (TARGETS ktpwidgetsprivate
         DESTINATION ${LIB_INSTALL_DIR}
)

install (FILES ${ktp_widgets_private_HDRS}
         DESTINATION ${INCLUDE_INSTALL_DIR}/KTp/Widgets
)

## ktp-common-internals 0.3.1

=== debian/changelog ===
ktp-common-internals (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:05 +0100

ktp-common-internals (0.3.0-0ubuntu2) precise; urgency=low

  * debian/rules:
    - Use "-V" with dh_makeshlibs to tighten rdepends

 -- Michael Terry <mterry@ubuntu.com>  Thu, 16 Feb 2012 15:16:45 -0500

ktp-common-internals (0.3.0-0ubuntu1) precise; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 02 Feb 2012 14:07:20 +0100

=== debian/control ===
Source: ktp-common-internals
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0), cmake, libtelepathy-qt4-dev (>= 0.9.0), pkg-kde-tools, kdelibs5-dev
Standards-Version: 3.9.2
Section: libs
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals

Package: libktpcommoninternalsprivate-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternalsprivate0 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library - Development headers
 Internal library which consits of the most reused
 parts across KDE Telepathy.
 .
 This package contains development files for 
 the ktp-common-internals library.

Package: libktpcommoninternalsprivate0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy internal library
 Internal library which consits of the most reused
 parts across KDE Telepathy.
 .
 This package contains the core ktp-common-internals library.

Package: libktpcommoninternalsprivate-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libktpcommoninternalsprivate0 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library
 Internal library which consits of the most reused
 parts across KDE Telepathy.
 .
 This package contains debugging symbols for the ktp-common-internals library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde --dbg-package=libktpcommoninternalsprivate-dbg --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V

## ktp-common-internals 0.4.0

=== debian/changelog ===
ktp-common-internals (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:16:51 +0300

=== debian/control ===
Source: ktp-common-internals
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.0), pkg-kde-tools, kdelibs5-dev
Standards-Version: 3.9.3
Section: libs
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git

Package: libktpcommoninternalsprivate-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternalsprivate1 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library - Development headers
 Internal library which consits of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternalsprivate1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy internal library
 Internal library which consits of the most reused
 parts across KDE Telepathy.

Package: kde-telepathy-data
Architecture: all
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 This package contains various data files that are used by nearly all
 the different KDE Telepathy components.

Package: libktpcommoninternalsprivate-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libktpcommoninternalsprivate1 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library - debug symbols
 Internal library which consits of the most reused
 parts across KDE Telepathy.
 .
 This package contains debugging symbols for the ktp-common-internals library.

## ktp-common-internals 0.5.1

=== debian/changelog ===
ktp-common-internals (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:36:57 +0530

ktp-common-internals (0.5.0-0ubuntu2) quantal; urgency=low

  * Set the minimum telepathy-qt dep to 0.9.2.1
  * Update the description of ktp-debugger

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 31 Aug 2012 23:41:34 +0530

ktp-common-internals (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Update install files
    - libktpcommoninternalsprivate3 now Breaks/Replaces
      libktpcommoninternalsprivate1
    - New binary : ktp-debugger for debugging various issues

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:43:09 +0530

ktp-common-internals (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Mon, 30 Jul 2012 23:49:18 +0200

## ktp-common-internals 0.5.2

=== debian/changelog ===
ktp-common-internals (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:20:23 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ktp-common-internals
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.0), pkg-kde-tools, kdelibs5-dev
+Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.2.1), pkg-kde-tools, kdelibs5-dev
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
@@ -12,7 +13,7 @@
 Package: libktpcommoninternalsprivate-dev
 Section: libdevel
 Architecture: any
-Depends: libktpcommoninternalsprivate1 (= ${binary:Version}), ${misc:Depends}
+Depends: libktpcommoninternalsprivate3 (= ${binary:Version}), ${misc:Depends}
 Description: KDE Telepathy internal library - Development headers
  Internal library which consits of the most reused
  parts across KDE Telepathy.
@@ -24,9 +25,11 @@
  outside of the KDE Telepathy project umbrella. This package
  is only provided for compiling the rest of the components.
 
-Package: libktpcommoninternalsprivate1
+Package: libktpcommoninternalsprivate3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libktpcommoninternalsprivate1
+Breaks: libktpcommoninternalsprivate1
 Description: KDE Telepathy internal library
  Internal library which consits of the most reused
  parts across KDE Telepathy.
@@ -42,9 +45,17 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktpcommoninternalsprivate1 (= ${binary:Version}), ${misc:Depends}
+Depends: libktpcommoninternalsprivate3 (= ${binary:Version}), ${misc:Depends}
 Description: KDE Telepathy internal library - debug symbols
  Internal library which consits of the most reused
  parts across KDE Telepathy.
  .
  This package contains debugging symbols for the ktp-common-internals library.
+
+Package: kde-telepathy-debugger
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends}, ${misc:Depends} 
+Description: Debugging tool for KDE Telepathy
+ This package contains a GUI debugging tool which can be used to debug
+ issues in Telepathy.

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-common-internals-([\d.]+).tar.bz2

## ktp-common-internals 0.6.1dfsg1

=== debian/changelog ===
ktp-common-internals (0.6.1dfsg1-0ubuntu1) raring; urgency=low

  * Remove Skype icons LP: #1163504

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Apr 2013 17:37:29 +0100

ktp-common-internals (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:31:01 +0100

ktp-common-internals (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release
    - Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:14:12 +0100

ktp-common-internals (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release
    - Update install files
    - libktpcommoninternalsprivate3 -> libktpcommoninternalsprivate5
    - Add set_cmp_policy.patch to make everything build

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 14:14:08 +0000

ktp-common-internals (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:23:39 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.2.1), pkg-kde-tools, kdelibs5-dev
+Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.2.1), pkg-kde-tools, kdelibs5-dev,
+ libtelepathy-logger-qt4-dev (>= 0.6.0), libtelepathy-logger-dev
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
@@ -13,7 +14,7 @@
 Package: libktpcommoninternalsprivate-dev
 Section: libdevel
 Architecture: any
-Depends: libktpcommoninternalsprivate3 (= ${binary:Version}), ${misc:Depends}
+Depends: libktpcommoninternalsprivate5 (= ${binary:Version}), ${misc:Depends}
 Description: KDE Telepathy internal library - Development headers
  Internal library which consits of the most reused
  parts across KDE Telepathy.
@@ -25,7 +26,7 @@
  outside of the KDE Telepathy project umbrella. This package
  is only provided for compiling the rest of the components.
 
-Package: libktpcommoninternalsprivate3
+Package: libktpcommoninternalsprivate5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libktpcommoninternalsprivate1
@@ -45,7 +46,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktpcommoninternalsprivate3 (= ${binary:Version}), ${misc:Depends}
+Depends: libktpcommoninternalsprivate5 (= ${binary:Version}), ${misc:Depends}
 Description: KDE Telepathy internal library - debug symbols
  Internal library which consits of the most reused
  parts across KDE Telepathy.

## ktp-common-internals 0.6.3

=== debian/changelog ===
ktp-common-internals (0.6.3-0ubuntu0.1) raring; urgency=low

  * No-change backport to raring

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 08 Aug 2013 09:23:33 +0530

ktp-common-internals (0.6.3-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release (LP: #1208837) 

  [ Rohan Garg ]
  * Drop set_cmp_policy.patch, applied upstream 
  * Drop random cdbs files

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 21:12:46 +0800

ktp-common-internals (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 11:11:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, libtelepathy-qt4-dev (>= 0.9.2.1), pkg-kde-tools, kdelibs5-dev,
  libtelepathy-logger-qt4-dev (>= 0.6.0), libtelepathy-logger-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=libktpcommoninternalsprivate-dbg --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V

## ktp-common-internals 0.8.0

=== debian/changelog ===
ktp-common-internals (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 12:59:21 +0200

ktp-common-internals (0.7.80-0ubuntu2) trusty; urgency=medium

  * Bump KPeople requirement

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 17:22:20 +0100

ktp-common-internals (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:12:31 +0100

ktp-common-internals (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:44:32 +0100

ktp-common-internals (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Release packaging from debian experimental git

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Oct 2013 18:03:20 +0100

ktp-common-internals (0.6.80-1) UNRELEASED; urgency=low

  * Imported upstream 0.6.80
  * Ship new libraries libktploggerprivate.
  * Ship plugins imdetailswidgetplugin, im_persons_data_source_plugin,
    ktploggerplugin, ktp_kpeople_plugin, nepomuktelepathyservice
  * Bump libktpcommoninternalsprivate SONAME to 6
  * Add desktop and service files for new plugins

 -- Diane Trout <diane@ghic.org>  Tue, 24 Sep 2013 21:26:49 -0700

ktp-common-internals (0.6.3-1fakesync1ubuntu1) saucy; urgency=low

  * kde-telepathy-declarative replaces/breaks libktpcommoninternalsprivate5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Aug 2013 15:56:17 +0100

ktp-common-internals (0.6.3-1fakesync1) saucy-proposed; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #1212826).

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 21 Aug 2013 12:49:46 +0200

ktp-common-internals (0.6.3-1) unstable; urgency=low

  * Imported Upstream version 0.6.3
  * Drop marginally useful libktpcommoninternalsprivate5.symbols
    - Fixes "FTBFS: symbols differ from expectations" (Closes: #719048)

 -- Mark Purcell <msp@debian.org>  Sat, 10 Aug 2013 09:19:39 +1000

ktp-common-internals (0.6.2-1) unstable; urgency=low

  [ Diane Trout ]
  * Imported Upstream version 0.6.2
  * Set Uploaders to Diane Trout and Michał Zając
  * Add kde-telepathy-debugger package (Thanks: Ubuntu)
  * Update libktpcommoninteralsprivate soversion to 5
  * Build kde-telepathy-declarative package for QML components
  * Require libtelepathy-qt4 >= 0.9.3
  * Require libtelepathy-logger-qt4-dev >= 0.6.0
  * Updated to Standards-Version 3.9.4. No changes needed.
  * Add symbols file for libktpcommoninternalsprivate5
  * Remove dh_makeshlibs debian/rules target.
  * Update watch file as KDE-Telepathy is now in KDE stable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Improve a little kde-telepathy-data's long description.

  [ Mark Purcell ]
  * Add myself to Uploaders

 -- Mark Purcell <msp@debian.org>  Sat, 03 Aug 2013 13:49:22 +1000

=== debian/control ===
Source: ktp-common-internals
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev,
               libkpeople-dev (>= 0.2.0),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt4-dev (>= 0.6.0),
               libtelepathy-qt4-dev (>= 0.9.3),
               pkg-kde-tools,
               kdepimlibs5-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git

Package: libktpcommoninternalsprivate-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternalsprivate7 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library - Development headers
 Internal library which consits of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternalsprivate7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal library
 Internal library which consits of the most reused
 parts across KDE Telepathy.

Package: kde-telepathy-declarative
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kde-telepathy QtDeclarative QML support.
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

Package: kde-telepathy-data
Architecture: all
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 KDE telepathy shared data.
 .
 This package contains various data files that are used by nearly all
 the different KDE Telepathy components.

Package: libktpcommoninternalsprivate-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libktpcommoninternalsprivate7 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library - debug symbols
 Internal library which consits of the most reused
 parts across KDE Telepathy.
 .
 This package contains debugging symbols for the ktp-common-internals library.

Package: kde-telepathy-debugger
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=libktpcommoninternalsprivate-dbg --list-missing

## ktp-common-internals 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 )
 cmake_policy(SET CMP0002 OLD)
 
-set (KTP_VERSION "0.8.0")
+set (KTP_VERSION "0.8.1")
 # Bump for every 0.x release, or whenever BC changes
 set (KTP_SONUMBER 7)
 set (KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "4")

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== KTp/Logger/CMakeLists.txt ===
set(KTP_LOGGER_PLUGIN_VERSION "1")

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktp_logger_private_SRCS
    ${KTP_GLOBAL_SOURCES}
    abstract-logger-plugin.cpp
    log-entity.cpp
    log-manager.cpp
    log-message.cpp
    log-search-hit.cpp
    pending-logger-dates.cpp
    pending-logger-dates-impl.cpp
    pending-logger-entities.cpp
    pending-logger-entities-impl.cpp
    pending-logger-logs.cpp
    pending-logger-logs-impl.cpp
    pending-logger-operation.cpp
    pending-logger-search.cpp
    pending-logger-search-impl.cpp
    scrollback-manager.cpp
)

set (ktp_logger_private_HDRS
    abstract-logger-plugin.h
    log-entity.h
    log-manager.h
    log-message.h
    log-search-hit.h
    pending-logger-dates.h
    pending-logger-entities.h
    pending-logger-logs.h
    pending-logger-operation.h
    pending-logger-search.h
    scrollback-manager.h
)

kde4_add_library (ktploggerprivate SHARED
                 ${ktp_logger_private_SRCS}
)

set_target_properties(ktploggerprivate PROPERTIES
                                       VERSION ${KTP_VERSION}
                                       SOVERSION ${KTP_SONUMBER}
                                       DEFINE_SYMBOL MAKE_KTP_LIB)

target_link_libraries (ktploggerprivate
                       ${KDE4_KDECORE_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
                       ktpcommoninternalsprivate
)

install (TARGETS ktploggerprivate
         DESTINATION ${LIB_INSTALL_DIR}
)

install (FILES ${ktp_logger_private_HDRS}
         DESTINATION ${INCLUDE_INSTALL_DIR}/KTp/Logger
)

install(FILES ktp_logger_plugin.desktop
        DESTINATION ${SERVICETYPES_INSTALL_DIR}
)


add_subdirectory(plugins)

=== KTp/Models/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktp_models_private_SRCS
    ${KTP_GLOBAL_SOURCES}
    abstract-grouping-proxy-model.cpp
    accounts-list-model.cpp
    accounts-tree-proxy-model.cpp
    contacts-filter-model.cpp
    contacts-list-model.cpp
    contacts-model.cpp
    groups-tree-proxy-model.cpp
    text-channel-watcher-proxy-model.cpp
    rooms-model.cpp
)

set (ktp_models_private_HDRS
    abstract-grouping-proxy-model.h
    accounts-list-model.h
    accounts-tree-proxy-model.h
    contacts-filter-model.h
    contacts-list-model.h
    contacts-model.h
    groups-tree-proxy-model.h
    text-channel-watcher-proxy-model.h
    rooms-model.h
)

set (ktp_models_private_LIBS
                       ${KDE4_KDECORE_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ktpcommoninternalsprivate
)

if (KPEOPLE_FOUND)
    add_definitions(-DHAVE_KPEOPLE)

    set (ktp_models_private_SRCS
         ${ktp_models_private_SRCS}
         kpeopletranslationproxy.cpp
         )

    set (ktp_models_private_LIBS
         ${ktp_models_private_LIBS}
         ${KPEOPLE_LIBS}
         ${KDEPIMLIBS_KABC_LIBS}
         )
endif (KPEOPLE_FOUND)

kde4_add_library (ktpmodelsprivate SHARED
                 ${ktp_models_private_SRCS}
)

#Raise SOVERSION for every 0.x cycle
set_target_properties(ktpmodelsprivate PROPERTIES
                                                VERSION ${KTP_VERSION}
                                                SOVERSION ${KTP_SONUMBER}
                                                DEFINE_SYMBOL MAKE_KTP_LIB)

target_link_libraries (ktpmodelsprivate
                       ${ktp_models_private_LIBS}
)



install (TARGETS ktpmodelsprivate
         DESTINATION ${LIB_INSTALL_DIR}
)

install (FILES ${ktp_models_private_HDRS}
         DESTINATION ${INCLUDE_INSTALL_DIR}/KTp/Models
)

=== kpeople/actionsplugin/CMakeLists.txt ===
include_directories(${KPEOPLE_INCLUDES})

set (ktp_kpeople_plugin_SRCS
     kpeople-actions-plugin.cpp
)

kde4_add_plugin (ktp_kpeople_plugin
                 ${ktp_kpeople_plugin_SRCS}
)

target_link_libraries (ktp_kpeople_plugin
    ${QT_LIBRARIES}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KPEOPLE_LIBS}
    ${KDE4_KFILE_LIBS}
    ktpcommoninternalsprivate
    ${KDEPIMLIBS_KABC_LIBS}
)

# Install:
install (TARGETS ktp_kpeople_plugin
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

install (FILES ktp_kpeople_plugin.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== kpeople/datasourceplugin/CMakeLists.txt ===
include_directories(${KPEOPLE_INCLUDES})

set (im_persons_data_source_SRCS
     im-persons-data-source.cpp
)

kde4_add_plugin (im_persons_data_source_plugin
                 ${im_persons_data_source_SRCS}
)

target_link_libraries (im_persons_data_source_plugin
    ${QT_LIBRARIES}
    ${QT_QTSQL_LIBRARIES}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KPEOPLE_LIBS}
    ${KDEPIMLIBS_KABC_LIBS}
    ktpcommoninternalsprivate
)

# Install:
install (TARGETS im_persons_data_source_plugin
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

install (FILES im_persons_data_source_plugin.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== po/pt/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( pt ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== tools/debugger/CMakeLists.txt ===
project(ktp-debugger)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${TELEPATHY_QT4_INCLUDE_DIR}
    ${KDE4_INCLUDES}
)

set(ktp-debugger_SRCS
    main-window.cpp
    debug-message-view.cpp
    main.cpp
)

kde4_add_ui_files(ktp-debugger_SRCS main-window.ui)
kde4_add_executable(ktp-debugger ${ktp-debugger_SRCS})
target_link_libraries(ktp-debugger
    ${TELEPATHY_QT4_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
)

install(TARGETS ktp-debugger DESTINATION ${BIN_INSTALL_DIR})
install(FILES ktpdebugoutput.xml DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax)

=== KTp/Logger/plugins/CMakeLists.txt ===
if (TELEPATHY_LOGGER_QT4_FOUND)
    add_subdirectory(tplogger)
endif(TELEPATHY_LOGGER_QT4_FOUND)

=== KTp/Logger/plugins/tplogger/CMakeLists.txt ===
set (ktploggerplugin_tplogger_SRCS
     tp-logger-plugin.cpp
     pending-tp-logger-dates.cpp
     pending-tp-logger-entities.cpp
     pending-tp-logger-logs.cpp
     pending-tp-logger-search.cpp
     utils.cpp
)

kde4_add_plugin (ktploggerplugin_tplogger
                 ${ktploggerplugin_tplogger_SRCS}
)

target_link_libraries (ktploggerplugin_tplogger
    ktpcommoninternalsprivate
    ktploggerprivate
    ${QT_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${TELEPATHY_LOGGER_QT4_LIBRARIES}
)

# Install:
install (TARGETS ktploggerplugin_tplogger
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktploggerplugin_tplogger.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktploggerplugin_tplogger.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktploggerplugin_tplogger.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-common-internals (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:32:56 +0200

ktp-common-internals (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 15:35:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kdelibs5-dev,
-               libkpeople-dev (>= 0.2.0),
+               libkpeople-dev (>= 0.2.1),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt4-dev (>= 0.6.0),
                libtelepathy-qt4-dev (>= 0.9.3),

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-common-internals-([\d.]+).tar.bz2

## ktp-common-internals 0.9.0

=== debian/changelog ===
ktp-common-internals (0.9.0-0ubuntu3) vivid; urgency=medium

  * kde-telepathy-kpeople breaks/replaces old kde-telepathy-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Nov 2014 12:27:52 +0100

ktp-common-internals (0.9.0-0ubuntu2) vivid; urgency=medium

  * Make -dev package depend on libktpotrprivate8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Nov 2014 16:10:47 +0100

ktp-common-internals (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:01 +0100

ktp-common-internals (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate7 SONAME to 8
    - libktploggerprivate7 -> libktploggerprivate8
    - libktpmodelsprivate7 -> libktpmodelsprivate8
    - libktpwidgetsprivate7 -> libktpwidgetsprivate8
  * Bump libtelepathy-qt4-dev build-depends to 0.9.5
  * Remove shared-desktop-ontolgies build-dep
  * Bump libkpeople build-dep to 0.3.0
  * Update kde-telepathy-kpeople description.
  * Make kde-telepathy-kpeople a dependency.
  * Add libotr5-dev and libgcrypt11-dev build-dep to enable OTR support.
  * Add kpeople_chat_plugin.so and associated desktop file to 
    kde-telepathy-kpeople package.
  * Update copyright file.
  * Fix typo thanks Filipus Klutiero (Closes: #759756)

 -- Diane Trout <diane@ghic.org>  Tue, 16 Sep 2014 22:03:11 -0700

ktp-common-internals (0.8.1-2) unstable; urgency=medium

  * Fix typo in copyright file.

 -- Diane Trout <diane@ghic.org>  Mon, 19 May 2014 11:25:06 -0700

ktp-common-internals (0.8.1-1) unstable; urgency=low

  * Imported upstream 0.8.1
  * Bump libktpcommoninternalsprivate6 SONAME to 7
  * Update share library symlinks to match package version.
  * Bump libtelepathy-logger-qt4-dev dependency to >= 0.8.0
  * Set libkpeople-dev build dependency to >= 0.2.2
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Enable kpeople
  * Split libraries from common-internals into additional packages.
  * Add symbols files.
  * Fix description typo (Closes: #745313, #745314)
  * Update debian/copyright

 -- Diane Trout <diane@ghic.org>  Sun, 18 May 2014 21:28:24 -0700

ktp-common-internals (0.7.0-1) unstable; urgency=low

  * Imported upstream 0.7.0
  * Ship new libraries libktploggerprivate.
  * Ship plugins imdetailswidgetplugin, im_persons_data_source_plugin,
    ktploggerplugin, ktp_kpeople_plugin, nepomuktelepathyservice
  * Bump libktpcommoninternalsprivate SONAME to 6
  * Add desktop and service files for new plugins
  * Split kpeople nepomuk support into a separate package.
    KPeople is currently disabled as recommended by upstream.

 -- Diane Trout <diane@ghic.org>  Tue, 05 Nov 2013 09:54:57 -0800

=== debian/control ===
Source: ktp-common-internals
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), cmake,
 libtelepathy-qt4-dev (>= 0.9.5),
 libtelepathy-logger-qt4-dev (>= 0.8.0),
 libtelepathy-logger-dev,
 pkg-kde-tools,
 kdelibs5-dev,
 libkpeople-dev (>= 0.3.0),
 kdepimlibs5-dev,
 libotr5-dev,
 libgcrypt11-dev,
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git

Package: libktpcommoninternalsprivate-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternalsprivate8 (= ${binary:Version}),
 libktpwidgetsprivate8 (= ${binary:Version}),
 libktploggerprivate8 (= ${binary:Version}),
 libktpotrprivate8 (= ${binary:Version}),
 ${misc:Depends}
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternalsprivate8
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkpeople4 (>= 0.3.0),
 libtelepathy-logger-qt4-1 (>= 0.8.0),
 kde-telepathy-kpeople
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktpmodelsprivate8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpwidgetsprivate8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: libktploggerprivate8
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpotrprivate8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: kde-telepathy-declarative
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

Package: kde-telepathy-data
Architecture: all
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 KDE telepathy shared data.
 .
 This package contains various data files that are used by nearly all
 the different KDE Telepathy components.

Package: libktpcommoninternalsprivate-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libktpcommoninternalsprivate8 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library - debug symbols
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains debugging symbols for the ktp-common-internals library.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This allows grouping multiple IM accounts into meta-contacts.
 .
 This contains plugins to work with libkpeople.

Package: kde-telepathy-debugger
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=libktpcommoninternalsprivate-dbg --list-missing

override_dh_auto_test:

.PHONY: override_dh_auto_test
